Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fujitsu.iflow.model.event
Class NtfxEvent

    java.lang.Object
      com.fujitsu.iflow.model.event.NtfxEvent

public class NtfxEvent
extends java.lang.Object

Field Summary
`static int` | `OBJECT_ACTIVITYINST`
`static int` | `OBJECT_PROCESSDEF`
`static int` | `OBJECT_PROCESSINST`
`static int` | `OBJECT_WORKITEM`
`long` | `observerId`
`static int` | `TYPE_CREATED`
`static int` | `TYPE_DELETED`
`static int` | `TYPE_LOCKED`
`static int` | `TYPE_MODIFIED`
`static int` | `TYPE_STATECHANGED`
`static int` | `TYPE_UNLOCKED`

Constructor Summary
`NtfxEvent(NotificationData nd)`

Method Summary
`int` | `getMajorVersion()`
`int` | `getMinorVersion()`
`long` | `getNodeInstanceId()`
`java.lang.String` | `getObjectAssignee()`
`long` | `getObjectId()`
`java.lang.String` | `getObjectInitiator()`
`java.lang.String` | `getObjectName()`
`java.lang.String` | `getObjectOwner()`
`int` | `getObjectState()`
`long` | `getObjectTimeStamp()`
`int` | `getObjectType()`
`java.lang.String` | `getPlanIdentifier()`
`java.lang.String` | `getPlanName()`
`int` | `getPriority()`
`long` | `getProcessId()`
`java.lang.String` | `getProcessInstanceName()`
`java.lang.String` | `getProcessInstanceTitle()`
`int` | `getType()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TYPE_CREATED

    public static final int TYPE_CREATED

### TYPE_DELETED

    public static final int TYPE_DELETED

### TYPE_MODIFIED

    public static final int TYPE_MODIFIED

### TYPE_LOCKED

    public static final int TYPE_LOCKED

### TYPE_UNLOCKED

    public static final int TYPE_UNLOCKED

### TYPE_STATECHANGED

    public static final int TYPE_STATECHANGED

### OBJECT_PROCESSDEF

    public static final int OBJECT_PROCESSDEF

### OBJECT_PROCESSINST

    public static final int OBJECT_PROCESSINST

### OBJECT_ACTIVITYINST

    public static final int OBJECT_ACTIVITYINST

### OBJECT_WORKITEM

    public static final int OBJECT_WORKITEM

### observerId

    public long observerId

Constructor Detail

### NtfxEvent

    public NtfxEvent(NotificationData nd)

Method Detail

### getProcessInstanceName

    public java.lang.String getProcessInstanceName()

### getProcessInstanceTitle

    public java.lang.String getProcessInstanceTitle()

### getPlanName

    public java.lang.String getPlanName()

### getPlanIdentifier

    public java.lang.String getPlanIdentifier()

### getObjectType

    public int getObjectType()

### getObjectId

    public long getObjectId()

### getProcessId

    public long getProcessId()

### getNodeInstanceId

    public long getNodeInstanceId()

### getObjectName

    public java.lang.String getObjectName()

### getObjectState

    public int getObjectState()

### getObjectTimeStamp

    public long getObjectTimeStamp()

### getObjectAssignee

    public java.lang.String getObjectAssignee()

### getObjectInitiator

    public java.lang.String getObjectInitiator()

### getObjectOwner

    public java.lang.String getObjectOwner()

### getType

    public int getType()

### getMajorVersion

    public int getMajorVersion()

### getMinorVersion

    public int getMinorVersion()

### getPriority

    public int getPriority()

### toString

    public java.lang.String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD